Subject: Re: BuGit: File-less distributed issue tracking system with Git

From: Stefan Monnier <[email-masked]>
Date: Tue, 02 Feb 2016 11:13:34 -0500

> So, see attached BuGit, an issue tracking system which stores its
> database in Git to try and get "distributed operation for free".

It's now hosted at https://gitlab.com/monnier/bugit

In the mean time it grew to 80KB, offers a read-only web UI, email
notifications, and a fairly complete command line UI.

It also changed its internal representation slightly, so it can now be
used within the same Git repository as the project on which you're
working (e.g. I cloned the BuGit source code and BuGit's bug database
into the same repository, so I can use bugit directly from the source
code directory to manipulate its bugs).

You can even host the bug database and the source code of your project
in the same repository (the post-receive hook script can be told to pass
the non-bugit-related changes to some other script).

        Stefan